libzypp: zypp::ui::StatusHelper Struct Reference

libzypp 17.38.11

zypp::ui::StatusHelper Struct Reference

## Public Types
using | available_const_iterator = Selectable::Impl::available_const_iterator

## Public Member Functions
| StatusHelper (const Selectable::Impl &impl, ResStatus::TransactByValue causer_r)
bool | hasInstalled () const
bool | hasCandidate () const
bool | hasInstalledOnly () const
bool | hasCandidateOnly () const
bool | hasBoth () const
Topevel methods must restore status on failure.
bool | setInstall ()
bool | setDelete ()
bool | unset ()
bool | setProtected ()
bool | setTaboo ()

## Helper methods backup status but do not replay.
const Selectable::Impl & | _impl
PoolItem | inst
PoolItem | cand
ResStatus::TransactByValue | causer
StatusBackup | backup
bool | resetTransactingCandidates ()
bool | unlockCandidates ()
bool | lockCandidates ()
bool | restore ()

## Detailed Description

Todo
  Unify status and pickStatus.

Definition at line 150 of file SelectableImpl.cc.

## Member Typedef Documentation

## ◆ available_const_iterator

using zypp::ui::StatusHelper::available_const_iterator = Selectable::Impl::available_const_iterator

Definition at line 159 of file SelectableImpl.cc.

## Constructor & Destructor Documentation

## ◆ StatusHelper()

zypp::ui::StatusHelper::StatusHelper | ( | const Selectable::Impl & | impl,
|  | ResStatus::TransactByValue | causer_r )
| inline

Definition at line 152 of file SelectableImpl.cc.

## Member Function Documentation

## ◆ hasInstalled()

bool zypp::ui::StatusHelper::hasInstalled | ( |  | ) | const
| inline

Definition at line 164 of file SelectableImpl.cc.

## ◆ hasCandidate()

bool zypp::ui::StatusHelper::hasCandidate | ( |  | ) | const
| inline

Definition at line 167 of file SelectableImpl.cc.

## ◆ hasInstalledOnly()

bool zypp::ui::StatusHelper::hasInstalledOnly | ( |  | ) | const
| inline

Definition at line 170 of file SelectableImpl.cc.

## ◆ hasCandidateOnly()

bool zypp::ui::StatusHelper::hasCandidateOnly | ( |  | ) | const
| inline

Definition at line 173 of file SelectableImpl.cc.

## ◆ hasBoth()

bool zypp::ui::StatusHelper::hasBoth | ( |  | ) | const
| inline

Definition at line 176 of file SelectableImpl.cc.

## ◆ setInstall()

bool zypp::ui::StatusHelper::setInstall | ( |  | ) |
| inline

Definition at line 181 of file SelectableImpl.cc.

## ◆ setDelete()

bool zypp::ui::StatusHelper::setDelete | ( |  | ) |
| inline

Definition at line 209 of file SelectableImpl.cc.

## ◆ unset()

bool zypp::ui::StatusHelper::unset | ( |  | ) |
| inline

Definition at line 225 of file SelectableImpl.cc.

## ◆ setProtected()

bool zypp::ui::StatusHelper::setProtected | ( |  | ) |
| inline

Definition at line 240 of file SelectableImpl.cc.

## ◆ setTaboo()

bool zypp::ui::StatusHelper::setTaboo | ( |  | ) |
| inline

Definition at line 257 of file SelectableImpl.cc.

## ◆ resetTransactingCandidates()

bool zypp::ui::StatusHelper::resetTransactingCandidates | ( |  | ) |
| inlineprivate

Definition at line 273 of file SelectableImpl.cc.

## ◆ unlockCandidates()

bool zypp::ui::StatusHelper::unlockCandidates | ( |  | ) |
| inlineprivate

Definition at line 282 of file SelectableImpl.cc.

## ◆ lockCandidates()

bool zypp::ui::StatusHelper::lockCandidates | ( |  | ) |
| inlineprivate

Definition at line 292 of file SelectableImpl.cc.

## ◆ restore()

bool zypp::ui::StatusHelper::restore | ( |  | ) |
| inlineprivate

Definition at line 311 of file SelectableImpl.cc.

## Member Data Documentation

## ◆ _impl

const Selectable::Impl& zypp::ui::StatusHelper::_impl
| private

Definition at line 305 of file SelectableImpl.cc.

## ◆ inst

PoolItem zypp::ui::StatusHelper::inst
| private

Definition at line 306 of file SelectableImpl.cc.

## ◆ cand

PoolItem zypp::ui::StatusHelper::cand
| private

Definition at line 307 of file SelectableImpl.cc.

## ◆ causer

ResStatus::TransactByValue zypp::ui::StatusHelper::causer
| private

Definition at line 308 of file SelectableImpl.cc.

## ◆ backup

StatusBackup zypp::ui::StatusHelper::backup
| private

Definition at line 312 of file SelectableImpl.cc.

The documentation for this struct was generated from the following file:

- zypp/ui/SelectableImpl.cc